[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| StridedScanOrderIterator< N, T, REFERENCE, POINTER, M > Class Template Reference Multi-dimensional Array Iterators |

Sequential iterator for MultiArrayView. More...

`#include <vigra/multi_iterator.hxx>`

List of all members.

## Public Member Functions
StridedScanOrderIterator & | operator+= (const shape_type &coordOffset)
| overload to add a coord-tuple:

## Detailed Description

### template<unsigned int N, class T, class REFERENCE, class POINTER, unsigned int M = N>
class vigra::StridedScanOrderIterator< N, T, REFERENCE, POINTER, M >

Sequential iterator for MultiArrayView.

This iterator provides STL-compatible random access iterator functionality for arbitrary MultiArrayView instances, regardless of their shapes and strides. The class uses an implementation that minimizes speed penalties that could result from non-trivial strides. The scan-order is defined such that dimensions are iterated from front to back (first to last).

You normally construct instances of this class by calling MultiArrayView::begin() and MultiArrayView::end().

The iterator supports all functions listed in the STL documentation for Random Access Iterators.

The documentation for this class was generated from the following file:

- vigra/multi_iterator.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)